@import "../../assets/variables";

.menu {
  $root: &;

  &__list {
    display: flex;
    align-items: center;
    height: 100%;
  }

  &__item {
    position: relative;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: space-between;

    &--no-link {
      padding: 0 $padding-lg;
    }
  }

  &__link {
    padding: 0 $padding-lg;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;

    transition: background-color .15s;

    cursor: pointer;

    flex-grow: 1;

    &:hover,
    &:focus {
      background: $color-nav-bg;
    }
  }

  &--is-vertical {
    #{$root} {
      &__list {
        flex-direction: column;
        align-items: initial;
        justify-content: center;
      }
      &__link {
        padding: $padding-lg;
      }
    }
  }
}
